/*
To customize the look and feel of Ionic, you can override the variables
in ionic's _variables.scss file.

For example, you might change some of the default colors:

$light:                           #fff !default;
$stable:                          #f8f8f8 !default;
$positive:                        #387ef5 !default;
$calm:                            #11c1f3 !default;
$balanced:                        #33cd5f !default;
$energized:                       #ffc900 !default;
$assertive:                       #ef473a !default;
$royal:                           #886aea !default;
$dark:                            #444 !default;
*/
// The path for our ionicons font files, relative to the built CSS
$ionicons-font-path: "../lib/ionic/fonts" !default;

/* reset variable to OMI-Talk CI colors */
$royal: #3F51B5 !default;
$omiTalkBlue: #3F51B5;
$omiTalkBlueLight: #D1D7F6;
$omiGreen: #5FA636;
$myMessageBlue: #A4AEE4;

#login-view {
  background-color: $omiTalkBlue;
}

.text-green {
  color: $omiGreen;
  font-weight: bold;
  font-size: 3em;
}

#login-form {
  position: fixed;
  top: 50%;
  left: 50%;
  width: 100%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

@media (min-width: 600px) {
  #login-form {
    width: 40%;
  }
}

.center-no-content {
  position: fixed;
  top: 50%;
  left: 50%;
  width: 100%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
}

.center-no-content h3 {
  color: #5D5D5D;
}

.chat {
  background: $omiTalkBlueLight no-repeat;
  background-size: 100%;
}

.message-list {
	margin-top: 12px;
	padding: 0 5%;	
}

.message-wrapper {
  margin-bottom: 9px;
 
  &::after {
    content: "";
    display: table;
    clear: both;
  }
}

.message {
  display: inline-block;
  position: relative;
  max-width: 236px;
  border-radius: 7px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, .15);
 
  &.message-mine {
    float: right;
    background-color: $myMessageBlue;
  }
 
  &.message-other {
    float: left;
    background-color: #FFF;
  }
 
  &.message-other::before, &.message-mine::before, {
    content: "";
    position: absolute;
    bottom: 3px;
    width: 12px;
    height: 19px;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: contain;
  }
 
  &.message-other::before {
    left: -11px;
    background-image: url(/images/message-other.png)
  }
 
  &.message-mine::before {
    right: -11px;
    background-image: url(/images/message-mine-blue.png)
  }
 
  .message-text {
    padding: 5px 7px;
    word-wrap: break-word;
 
    &::after {
      content: " \00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0";
      display: inline;
    }
  }
 
  .message-timestamp {
    position: absolute;
    bottom: 2px;
    right: 7px;
    color: gray;
    font-size: 12px;
  }
}

#scanner-card {
  min-width: 300px;
  min-height: 100px;
}

#scanner-card a {
  font-size: 4em;
}

// Include all of Ionic
@import "src/lib/ionic/scss/ionic";

